%define shortname torrent-rasterbar
%define major 8
%define libname %mklibname %{shortname} %{major}
%define devname %mklibname %{shortname} -d

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	1.0.7
Release:	2
License:	BSD
Group:		System/Libraries
Url:		http://www.rasterbar.com/products/libtorrent/
Source0:	http://libtorrent.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(geoip)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(zlib)

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The Rasterbar BitTorrent library
Group:		System/Libraries

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%files -n %{libname}
%{_libdir}/libtorrent-rasterbar.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	The Rasterbar BitTorrent library's development headers
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	rb_libtorrent-devel = %{EVRD}

%description -n %{devname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%files -n %{devname}
%{_libdir}/libtorrent-rasterbar.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%package -n python-%{name}
Summary:	The Rasterbar BitTorrent library's Python bindings
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n python-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python bindings.

%files -n python-%{name}
%{py_platsitedir}/*.so
%{py_platsitedir}/*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -q

%build
# (tpg) a workaround for libtool crap
#sed -i 's/AC_CONFIG_MACRO_DIR(\[m4\])/dnl AC_CONFIG_MACRO_DIR(\[m4\])/' configure.in
#autoreconf -fi
export CFLAGS="%{optflags} -DBOOST_FILESYSTEM_VERSION=2"
export CXXFLAGS="%{optflags} -DBOOST_FILESYSTEM_VERSION=2"
%configure2_5x \
	--disable-static \
	--enable-python-binding \
	--with-libgeoip=system \
	--enable-encryption \
	--enable-dht \
	--with-boost-libdir=%{_libdir}

%make

%install
%makeinstall_std


%changelog

* Thu Mar 17 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.7-2
- (72eff72) Bump release


